- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- $
- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - f -

- F_DUPFD : kern_descrip.h
- F_GETFD : kern_descrip.h
- F_GETFL : kern_descrip.h
- F_GETLK : kern_descrip.h
- F_GETOWN : kern_descrip.h
- F_SETFD : kern_descrip.h
- F_SETFL : kern_descrip.h
- F_SETLK : kern_descrip.h
- F_SETLKW : kern_descrip.h
- F_SETOWN : kern_descrip.h
- FAKE_MCOUNT : sys_call_new.S
- falloc() : kern_descrip.c, kern_descrip.h
- FALSE : types.h
- FAPPEND : kern_descrip.h
- FASYNC : kern_descrip.h
- fclose() : file.c, file.h
- fcntl() : kern_descrip.c, syscalls_new.h, kern_descrip.h
- FCNTLFLAGS : kern_descrip.h
- fdAvail : vfs.h
- fdc_init() : fdc.c, fdc.h
- fdcCcr : fdc.h
- fdcData : fdc.h
- fdcDir : fdc.h
- fdcDor : fdc.h
- fdcDrs : fdc.h
- fdcInit2() : fdc.c
- fdcMsr : fdc.h
- fdcRead() : fdc.c, fdc.h
- fdcRw() : fdc.c, fdc.h
- fdcSpinLock : fdc.c
- fdcTrack : fdc.c
- fdcWrite() : fdc.c, fdc.h
- fdEof : vfs.h
- fdOpen : vfs.h
- fdRead : vfs.h
- fdTable : file.c, file.h
- fdTable_lock : file.c
- feof() : file.c, file.h
- FFLAGS : kern_descrip.h
- fflags_t : types.h
- ffs_read() : ffs.c, ffs.h
- FFSYNC : kern_descrip.h
- fgetc() : file.c, file.h
- FHASLOCK : kern_descrip.h
- fileAppend : vfs.h
- fileBinary : vfs.h
- fileDescriptor : file.h
- fileRead : vfs.h
- fileWrite : vfs.h
- fkpSpinLock : paging.c
- floppyIsr() : fdc.h
- floppyIsrhndlr() : fdc.c, fdc.h
- FNDELAY : kern_descrip.h
- FNONBLOCK : kern_descrip.h
- fopen() : file.c, file.h
- FORK : sched.h
- fork_copyProcess() : fork.c
- FP_TO_LINEAR : idt.c
- FPOSIXSHM : kern_descrip.h
- fputc() : file.c
- fragroundup : ufs.h
- fread() : file.c, file.h
- FREAD : kern_descrip.h
- freeBlocks() : block.c, ubixfs.h
- freeKernDesc : kmalloc.c
- freePage() : vmm_memory.c, vmm.h
- freePages : vmm_memory.c
- FS_UFS1_MAGIC : ufs.h
- FS_UFS2_MAGIC : ufs.h
- fsbtodb : ufs.h
- fseek() : file.c, file.h
- fsfind() : ufs.c
- FSMAXSNAP : ufs.h
- fsread() : ufs.c
- fstat() : kern_descrip.c, syscalls_new.h, kern_descrip.h
- fstypenames : hd.h
- functionPTR : syscalls_new.h, syscalls.h
- fuword() : syscall.c
- fvpSpinLock : getfreevirtualpage.c
- fwrite() : file.c, file.h
- FWRITE : kern_descrip.h